<div class="container-fluid">
  <div class="row">
    <div class="col-md-2" style="text-align:center">
      <ul class="nav nav-pills" style="display:inline-block" role="tablist">
        <li class="nav-item">
          <a class="nav-link active" (click)="displayChart()"
            style="margin-top:84px;width:170px;text-align: center;color: rgba(255, 255, 255, 1);cursor: pointer;"
            data-toggle="pill">Trending Chart</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" (click)="displayPoster()" data-toggle="pill"
            style="text-align:center; color: rgba(255, 255, 255, 1); cursor: pointer;">Popular Movies</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" (click)="getTopRatedMovies()" data-toggle="pill"
            style="text-align:center; color: rgba(255, 255, 255, 1); cursor: pointer;">Top Movies</a>
        </li>
        <li class="nav-item" *ngIf="this.isUserLogin">
          <a class="nav-link" (click)="getLikedMovies()" data-toggle="pill"
            style="text-align:center; color: rgba(255, 255, 255, 1); cursor: pointer;">Liked Movies</a>
        </li>
        <li class="nav-item" *ngIf="this.isUserLogin">
          <a class="nav-link" (click)="getWatchList()" data-toggle="pill"
            style="text-align:center; color: rgba(255, 255, 255, 1); cursor: pointer;">Watch Lists</a>
        </li>
      </ul>
    </div>
    <div class="col-md-10 card_content">
      <div *ngIf="showChart">
        <div style="display: block">
          <canvas class="wrapper" baseChart [datasets]="barChartData" [labels]="movies_title"
            [options]="barChartOptions" [legend]="barChartLegend" [chartType]="barChartType"></canvas>
        </div>
      </div>
      <ng-container *ngIf='movies_content && showMovies'>
        <div class="row">
          <div class="col-md-4 col-12" *ngFor=" let movie of movies_content.results">
            <mat-card class="example-card" style="margin-bottom: 10px;">
              <img *ngIf="movie.poster_path" mat-card-image src="https://image.tmdb.org/t/p/w500{{movie.poster_path}}"
                height=380px; alt="{{movie.title}}" title="{{movie.title}}">
              <img *ngIf="!movie.poster_path" mat-card-image src="assets/no-image.jpg" height=380px;
                alt="{{movie.title}}" title="{{movie.title}}">
              <mat-card-content>
                <p><strong>{{movie.title}}</strong></p>
                <p class="wrapp-class" title="{{movie.overview}}">
                  {{movie.overview}}
                </p>
              </mat-card-content>
              <mat-card-actions>
                <button mat-button (click)="addToWatchList(movie)"> <i class="fas fa-address-book"></i>Watch
                  List</button>
                <button mat-button (click)="addToLikesList(movie)"> <i class="fas fa-thumbs-up"></i>Like</button>
                <button mat-button (click)="showMovieDetails(movie)"> <i class="fas fa-info"></i>More Info..</button>
              </mat-card-actions>
            </mat-card>
          </div>
        </div>
      </ng-container>
      <div *ngIf="movies_content && movies_content.results &&  !movies_content.results.length">
        <div class="alert alert-warning" role="alert" *ngIf="showLikedMoview">
          Sorry!! but you have not liked any movie yet
        </div>
        <div class="alert alert-warning" role="alert" *ngIf="showWatchList">
          Sorry!! you have not added any movie in your watch list
        </div>
      </div>
      <div class="row" style="margin-top:20px; margin-right: 8px" *ngIf="!showLikedMoview && !showWatchList">
        <div class="col-md-12 footer_navigation">
          <div class="row" style="float:right">
            <div class="col-md-12 text-white" style="margin-top:10px">
              <span style="color:gray">Page: {{movies_content ? movies_content.page : ''}} of
                {{movies_content ? movies_content.total_pages : ''}} </span>
              <button class="arrow-class fas fa-arrow-left button-style" (click)="goPrevious(movies_content.page - 1)"
                [disabled]="movies_content ? movies_content.page == 1 : true"></button>
              <button class="arrow-class fas fa-arrow-right button-style" (click)="goNext(movies_content.page + 1)"
                [disabled]="movies_content ? movies_content.page == movies_content.total_pages : true"></button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>